/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledRoot, StyledBar, StyledBarProgress, StyledLabel } from '../index.js';
describe('ProgressBar styled components', function () {
  // $FlowFixMe
  describe.each([['StyledRoot', StyledRoot], ['StyledBar', StyledBar], ['StyledBarProgress', StyledBarProgress], ['StyledLabel', StyledLabel]])('Test %s', function (compName, Component) {
    test(compName, function () {
      var props = {
        $value: 40,
        $successValue: 100
      };
      var component = shallow(React.createElement(Component, props, React.createElement("div", null)));
      expect(component.instance().getStyles()).toMatchSnapshot("".concat(compName, " has correct styles"));
    });
  });
});